Package: org.codehaus.groovy.ast.decompiled

## [Java] Class ClassStub

- org.codehaus.groovy.ast.decompiled.ClassStub

-     public class ClassStub
      extends MemberStub

  Data structures holding class info to enable lazy loading

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassStub(String className, int accessModifiers, String signature, String superName, String[] interfaceNames)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MemberStub` | `getAnnotations`

- - ### Constructor Detail

    - #### public ClassStub(String className, int accessModifiers, String signature, String superName, String[] interfaceNames)